## gitaly 16.11.6+ds1

=== Makefile ===
# Makefile for Gitaly

# You can override options by creating a "config.mak" file in Gitaly's root
# directory.
-include config.mak

# Unexport environment variables which have an effect on Git itself.
# We need to keep GIT_PREFIX because it's used to determine where our
# self-built Git should be installed into. It's probably not going to
# matter much though.
unexport $(filter-out GIT_PREFIX,$(shell git rev-parse --local-env-vars))

# Call `make V=1` in order to print commands verbosely.
ifeq ($(V),1)
    Q =
else
    Q = @
endif

SHELL = /usr/bin/env bash -eo pipefail

# Host information
OS   := $(shell uname)
ARCH := $(shell uname -m)

# Directories
SOURCE_DIR       := $(abspath $(dir $(lastword ${MAKEFILE_LIST})))
BUILD_DIR        := ${SOURCE_DIR}/_build
PROTO_DEST_DIR   := ${SOURCE_DIR}/proto/go
DEPENDENCY_DIR   := ${BUILD_DIR}/deps
TOOLS_DIR        := ${BUILD_DIR}/tools

# These variables may be overridden at runtime by top-level make
## The prefix where Gitaly binaries will be installed to. Binaries will end up
## in ${PREFIX}/bin by default.
PREFIX           ?= /usr/local
prefix           ?= ${PREFIX}
exec_prefix      ?= ${prefix}
bindir           ?= ${exec_prefix}/bin
INSTALL_DEST_DIR := ${DESTDIR}${bindir}
## The prefix where Git will be installed to.
GIT_PREFIX       ?= ${PREFIX}

# Tools
GIT                         := $(shell command -v git)
GOIMPORTS                   := ${TOOLS_DIR}/goimports
GOFUMPT                     := ${TOOLS_DIR}/gofumpt
GOLANGCI_LINT               := ${TOOLS_DIR}/golangci-lint
PROTOLINT                   := ${TOOLS_DIR}/protolint
GO_LICENSES                 := ${TOOLS_DIR}/go-licenses
PROTOC                      := ${TOOLS_DIR}/protoc
PROTOC_GEN_GO               := ${TOOLS_DIR}/protoc-gen-go
PROTOC_GEN_GO_GRPC          := ${TOOLS_DIR}/protoc-gen-go-grpc
PROTOC_GEN_GITALY_LINT      := ${TOOLS_DIR}/protoc-gen-gitaly-lint
PROTOC_GEN_GITALY_PROTOLIST := ${TOOLS_DIR}/protoc-gen-gitaly-protolist
PROTOC_GEN_DOC              := ${TOOLS_DIR}/protoc-gen-doc
GOTESTSUM                   := ${TOOLS_DIR}/gotestsum
GOCOVER_COBERTURA           := ${TOOLS_DIR}/gocover-cobertura
DELVE                       := ${TOOLS_DIR}/dlv
GOVULNCHECK                 := ${TOOLS_DIR}/govulncheck

# Tool options
GOLANGCI_LINT_OPTIONS ?=
GOLANGCI_LINT_CONFIG  ?= ${SOURCE_DIR}/.golangci.yml

# Build information
GITALY_PACKAGE    := $(shell go list -m 2>/dev/null || echo unknown)
GITALY_VERSION    := $(shell ${GIT} describe --match v* 2>/dev/null | sed 's/^v//' || cat ${SOURCE_DIR}/VERSION 2>/dev/null || echo unknown)
GO_LDFLAGS        := -X ${GITALY_PACKAGE}/internal/version.version=${GITALY_VERSION}
SERVER_BUILD_TAGS := tracer_static,tracer_static_jaeger,tracer_static_stackdriver,continuous_profiler_stackdriver

# Temporary GNU build ID used as a placeholder value so that we can replace it
# with our own one after binaries have been built. This is the ASCII encoding
# of the string "TEMP_GITALY_BUILD_ID".
TEMPORARY_BUILD_ID := 54454D505F474954414C595F4255494C445F4944

## FIPS_MODE controls whether to build Gitaly and dependencies in FIPS mode.
## Set this to a non-empty value to enable it.
FIPS_MODE ?=

ifdef FIPS_MODE
    SERVER_BUILD_TAGS := ${SERVER_BUILD_TAGS},fips

    # Build Git with the OpenSSL backend for SHA256 in case FIPS-mode is
    # requested. Note that we explicitly don't do the same for SHA1: we
    # instead use SHA1DC to protect users against the SHAttered attack.
    GIT_FIPS_BUILD_OPTIONS := OPENSSL_SHA256=YesPlease

    # Go 1.19+ now requires GOEXPERIMENT=boringcrypto for FIPS compilation.
    # See https://github.com/golang/go/issues/51940 for more details.
    BORINGCRYPTO_SUPPORT := $(shell GOEXPERIMENT=boringcrypto go version > /dev/null 2>&1; echo $$?)
    ifeq ($(BORINGCRYPTO_SUPPORT), 0)
        export GOEXPERIMENT=boringcrypto
    endif

    export GITALY_TESTING_ENABLE_FIPS := YesPlease
endif

# protoc target
PROTOC_VERSION      ?= v23.1
PROTOC_REPO_URL     ?= https://github.com/protocolbuffers/protobuf
PROTOC_SOURCE_DIR   ?= ${DEPENDENCY_DIR}/protobuf/source
PROTOC_BUILD_DIR    ?= ${DEPENDENCY_DIR}/protobuf/build
PROTOC_INSTALL_DIR  ?= ${DEPENDENCY_DIR}/protobuf/install

ifeq ($(origin PROTOC_BUILD_OPTIONS),undefined)
    ## Build options for protoc.
    PROTOC_BUILD_OPTIONS ?=
    PROTOC_BUILD_OPTIONS += -DBUILD_SHARED_LIBS=NO
    PROTOC_BUILD_OPTIONS += -DCMAKE_INSTALL_PREFIX=${PROTOC_INSTALL_DIR}
    PROTOC_BUILD_OPTIONS += -Dprotobuf_BUILD_TESTS=OFF
    PROTOC_BUILD_OPTIONS += -DCMAKE_CXX_STANDARD=14
endif

# Git target
GIT_REPO_URL       ?= https://gitlab.com/gitlab-org/git.git
GIT_QUIET          :=
ifeq (${Q},@)
    GIT_QUIET = --quiet
endif

GIT_EXECUTABLES += git
GIT_EXECUTABLES += git-remote-http
GIT_EXECUTABLES += git-http-backend

## The version of Git to build and test Gitaly with when not used
## WITH_BUNDLED_GIT=YesPlease. Can be set to an arbitrary Git revision with
## tags, branches, and commit ids.
GIT_VERSION ?=
## The Git version used for bundled Git v2.43.
GIT_VERSION_2_43 ?= v2.43.5
## The Git version used for bundled Git v2.44.
GIT_VERSION_2_44 ?= v2.44.2.gl1

## Skip overriding the Git version and instead use the Git version as specified
## in the Git sources. This is required when building Git from a version that
## cannot be parsed by Gitaly.
SKIP_OVERRIDING_GIT_VERSION ?=

# The default version is used in case the caller does not set the variable or
# if it is either set to the empty string or "default".
ifeq (${GIT_VERSION:default=},)
    override GIT_VERSION := ${GIT_VERSION_2_43}
else
    # Support both vX.Y.Z and X.Y.Z version patterns, since callers across GitLab
    # use both.
    override GIT_VERSION := $(shell echo ${GIT_VERSION} | awk '/^[0-9]\.[0-9]+\.[0-9]+$$/ { printf "v" } { print $$1 }')
endif

ifeq ($(origin GIT_BUILD_OPTIONS),undefined)
    ## Build options for Git.
    GIT_BUILD_OPTIONS ?=
    # activate developer checks
    GIT_BUILD_OPTIONS += DEVELOPER=1
    # but don't cause warnings to fail the build
    GIT_BUILD_OPTIONS += DEVOPTS=no-error
    GIT_BUILD_OPTIONS += USE_LIBPCRE=YesPlease
    GIT_BUILD_OPTIONS += NO_PERL=YesPlease
    GIT_BUILD_OPTIONS += NO_EXPAT=YesPlease
    GIT_BUILD_OPTIONS += NO_TCLTK=YesPlease
    GIT_BUILD_OPTIONS += NO_GETTEXT=YesPlease
    GIT_BUILD_OPTIONS += NO_PYTHON=YesPlease
    PCRE_PC=libpcre2-8
    ifeq ($(shell pkg-config --exists ${PCRE_PC} && echo exists),exists)
	    GIT_BUILD_OPTIONS += LIBPCREDIR=$(shell pkg-config ${PCRE_PC} --variable prefix)
    endif
endif

ifdef GIT_APPEND_BUILD_OPTIONS
	GIT_BUILD_OPTIONS += ${GIT_APPEND_BUILD_OPTIONS}
endif

ifdef GIT_FIPS_BUILD_OPTIONS
	GIT_BUILD_OPTIONS += ${GIT_FIPS_BUILD_OPTIONS}
endif

# git-filter-repo target
GIT_FILTER_REPO                      ?= ${BUILD_DIR}/bin/git-filter-repo
GIT_FILTER_REPO_VERSION              ?= v2.38.0
GIT_FILTER_REPO_REPO_URL             ?= https://github.com/newren/git-filter-repo
GIT_FILTER_REPO_SOURCE_DIR           ?= ${DEPENDENCY_DIR}/git-filter-repo

# These variables control test options and artifacts
## List of Go packages which shall be tested.
## Go packages to test when using the test-go target.
TEST_PACKAGES     ?= ${SOURCE_DIR}/...
## Test options passed to `go test`.
TEST_OPTIONS      ?= -count=1
## Specify the output format used to print tests ["standard-verbose", "standard-quiet", "short"]
TEST_FORMAT       ?= short
## Specify the location where the JUnit-style format shall be written to.
TEST_JUNIT_REPORT ?= ${BUILD_DIR}/reports/tests-junit.xml
## Specify the location where the full JSON report shall be written to.
TEST_JSON_REPORT  ?=
## Specify the output directory for test coverage reports.
TEST_COVERAGE_DIR ?= ${BUILD_DIR}/cover
## Directory where all runtime test data is being created.
TEST_TMP_DIR      ?=
## Directory where Gitaly should write logs to during test execution.
TEST_LOG_DIR	  ?=
TEST_REPO_DIR     := ${BUILD_DIR}/testrepos
BENCHMARK_REPO    := ${TEST_REPO_DIR}/benchmark.git
## Options to pass to the script which builds the Gitaly gem
BUILD_GEM_OPTIONS ?=
## Options to override the name of Gitaly gem
BUILD_GEM_NAME ?= gitaly

# All executables provided by Gitaly.
GITALY_EXECUTABLES           = $(addprefix ${BUILD_DIR}/bin/,$(notdir $(shell find ${SOURCE_DIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
# All executables packed inside the Gitaly binary.
GITALY_PACKED_EXECUTABLES    = $(filter %gitaly-hooks %gitaly-gpg %gitaly-ssh %gitaly-lfs-smudge, ${GITALY_EXECUTABLES})
# All executables that should be installed.
GITALY_INSTALLED_EXECUTABLES = $(filter-out ${GITALY_PACKED_EXECUTABLES}, ${GITALY_EXECUTABLES})
# Find all Go source files.
find_go_sources              = $(shell find ${SOURCE_DIR} -type d \( -path "${SOURCE_DIR}/_*" -o -path "${SOURCE_DIR}/proto" \) -prune -o -type f -name '*.go' -print | sort -u)

# run_go_tests will execute Go tests with all required parameters. Its
# behaviour can be modified via the following variables:
#
# TEST_OPTIONS: any additional options
# TEST_PACKAGES: packages which shall be tested
# TEST_LOG_DIR: specify the output log dir. By default, all logs will be discarded
run_go_tests = PATH='${SOURCE_DIR}/internal/testhelper/testdata/home/bin:${PATH}' \
    TEST_TMP_DIR='${TEST_TMP_DIR}' \
    TEST_LOG_DIR='${TEST_LOG_DIR}' \
    ${GOTESTSUM} --format ${TEST_FORMAT} --junitfile '${TEST_JUNIT_REPORT}' --jsonfile '${TEST_JSON_REPORT}' -- -ldflags '${GO_LDFLAGS}' -tags '${SERVER_BUILD_TAGS}' ${TEST_OPTIONS} ${TEST_PACKAGES}

## Test options passed to `dlv test`.
DEBUG_OPTIONS      ?= $(patsubst -%,-test.%,${TEST_OPTIONS})

# debug_go_tests will execute Go tests from a single package in the delve debugger.
# Its behaviour can be modified via the following variable:
#
# DEBUG_OPTIONS: any additional options, will default to TEST_OPTIONS if not set.
debug_go_tests = PATH='${SOURCE_DIR}/internal/testhelper/testdata/home/bin:${PATH}' \
    TEST_TMP_DIR='${TEST_TMP_DIR}' \
    ${DELVE} test --build-flags="-ldflags '${GO_LDFLAGS}' -tags '${SERVER_BUILD_TAGS}'" ${TEST_PACKAGES} -- ${DEBUG_OPTIONS}

unexport GOROOT
## GOCACHE_MAX_SIZE_KB is the maximum size of Go's build cache in kilobytes before it is cleaned up.
GOCACHE_MAX_SIZE_KB              ?= 5000000
export GOCACHE                   ?= ${BUILD_DIR}/cache
export GOPROXY                   ?= https://proxy.golang.org|https://proxy.golang.org
export PATH                      := ${BUILD_DIR}/bin:${PATH}

# By default, intermediate targets get deleted automatically after a successful
# build. We do not want that though: there's some precious intermediate targets
# like our `*.version` targets which are required in order to determine whether
# a dependency needs to be rebuilt. By specifying `.SECONDARY`, intermediate
# targets will never get deleted automatically.
.SECONDARY:

.PHONY: all
## Default target which builds Gitaly.
all: build

.PHONY: .FORCE
.FORCE:

## Print help about available targets and variables.
help:
	@echo "usage: make [<target>...] [<variable>=<value>...]"
	@echo ""
	@echo "These are the available targets:"
	@echo ""

	@ # Match all targets which have preceding `## ` comments.
	${Q}awk '/^## / { sub(/^##/, "", $$0) ; desc = desc $$0 ; next } \
		 /^[[:alpha:]][[:alnum:]_-]+:/ && desc { print "  " $$1 desc } \
		 { desc = "" }' $(MAKEFILE_LIST) | sort | column -s: -t

	${Q}echo ""
	${Q}echo "These are common variables which can be overridden in config.mak"
	${Q}echo "or by passing them to make directly as environment variables:"
	${Q}echo ""

	@ # Match all variables which have preceding `## ` comments and which are assigned via `?=`.
	${Q}awk '/^[[:space:]]*## / { sub(/^[[:space:]]*##/,"",$$0) ; desc = desc $$0 ; next } \
		 /^[[:space:]]*[[:alpha:]][[:alnum:]_-]+[[:space:]]*\?=/ && desc { print "  "$$1 ":" desc } \
		 { desc = "" }' $(MAKEFILE_LIST) | sort | column -s: -t

.PHONY: build
## Build Go binaries.
build: ${GITALY_INSTALLED_EXECUTABLES}

.PHONY: install

=== github.com/golangci/golangci-lint/Makefile ===
.DEFAULT_GOAL = test
.PHONY: FORCE

# enable consistent Go 1.12/1.13 GOPROXY behavior.
export GOPROXY = https://proxy.golang.org

BINARY = golangci-lint
ifeq ($(OS),Windows_NT)
	BINARY := $(BINARY).exe
endif

# Build

build: $(BINARY)
.PHONY: build

build_race:
	go build -race -o $(BINARY) ./cmd/golangci-lint
.PHONY: build_race

clean:
	rm -f $(BINARY)
	rm -f test/path
	rm -f tools/Dracula.itermcolors
	rm -f tools/goreleaser
	rm -f tools/svg-term
	rm -rf tools/node_modules
.PHONY: clean

# Test
test: export GOLANGCI_LINT_INSTALLED = true
test: build
	GL_TEST_RUN=1 ./$(BINARY) run -v
	GL_TEST_RUN=1 go test -v -parallel 2 ./...
.PHONY: test

# ex: T=gofmt.go make test_fix
# the value of `T` is the name of a file from `test/testdata/fix`
test_fix: build
	GL_TEST_RUN=1 go test -v ./test -count 1 -run TestFix/$T
.PHONY: test_fix

test_race: build_race
	GL_TEST_RUN=1 ./$(BINARY) run -v --timeout=5m
.PHONY: test_race

test_linters:
	GL_TEST_RUN=1 go test -v ./test -count 1 -run TestSourcesFromTestdata/$T
.PHONY: test_linters

test_linters_sub:
	GL_TEST_RUN=1 go test -v ./test -count 1 -run TestSourcesFromTestdataSubDir/$T
.PHONY: test_linters_sub

# Maintenance

fast_generate: assets/github-action-config.json
.PHONY: fast_generate

fast_check_generated:
	$(MAKE) --always-make fast_generate
	git checkout -- go.mod go.sum # can differ between go1.16 and go1.17
	git diff --exit-code # check no changes

release: .goreleaser.yml tools/goreleaser
	./tools/goreleaser
.PHONY: release

snapshot: .goreleaser.yml tools/goreleaser
	./tools/goreleaser --snapshot --rm-dist
.PHONY: snapshot

# Non-PHONY targets (real files)

$(BINARY): FORCE
	go build -o $@ ./cmd/golangci-lint

tools/goreleaser: export GOFLAGS = -mod=readonly
tools/goreleaser: tools/go.mod tools/go.sum
	cd tools && go build github.com/goreleaser/goreleaser

# TODO: migrate to docs/
tools/svg-term: tools/package.json tools/package-lock.json
	cd tools && npm ci
	ln -sf node_modules/.bin/svg-term $@

# TODO: migrate to docs/
tools/Dracula.itermcolors:
	curl -fL -o $@ https://raw.githubusercontent.com/dracula/iterm/master/Dracula.itermcolors

# TODO: migrate to docs/
assets/demo.svg: tools/svg-term tools/Dracula.itermcolors
	./tools/svg-term --cast=183662 --out assets/demo.svg --window --width 110 --height 30 --from 2000 --to 20000 --profile ./tools/Dracula.itermcolors --term iterm2

assets/github-action-config.json: FORCE $(BINARY)
	# go run ./scripts/gen_github_action_config/main.go $@
	cd ./scripts/gen_github_action_config/; go run ./main.go ../../$@

go.mod: FORCE
	go mod tidy
	go mod verify
go.sum: go.mod

expand_website_templates:
	go run ./scripts/expand_website_templates/main.go
.PHONY: expand_website_templates

update_contributors_list:
	cd .github/contributors && npm run all

update_netlify_state:
	go run ./scripts/expand_website_templates/main.go -only-state

=== github.com/google/go-licenses/Makefile ===
# Copyright 2022 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# All of these should pass before sending a PR.
precommit: test lint tidy

test: FORCE
	go test ./...

# Note, when upgrading, also upgrade version in .github/workflows/golangci-lint.yml.
GOLANGCI_LINT_VERSION=v1.49
lint:  FORCE
	@which golangci-lint >/dev/null || ( \
		echo 'golangci-lint is not installed. Install by:\ngo install github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION)' \
		&& exit 1 )
	golangci-lint run -v

tidy: FORCE
	go mod tidy

FORCE: ;

=== github.com/lightstep/lightstep-tracer-go/Makefile ===
# tools
GO = GO111MODULE=on GOPROXY=https://proxy.golang.org go

.PHONY: default build test install version

default: build

build: version.go
	${GO} build ./...

test: build
	${GO} test -v -race ./...

install: test
	${GO} install ./...

clean:
	${GO} clean ./...

# When releasing significant changes, make sure to update the semantic
# version number in `./VERSION`, merge changes, then run `make release_tag`.
version:
ifdef ver
		@echo 'Setting version to $(ver)'
		@./tag_version.sh $(ver)
else
		@echo 'ver not defined. call make ver=<version eg 1.2.3> version'
endif

release_tag:
	git tag -a v`cat ./VERSION`
	git push origin v`cat ./VERSION`

=== github.com/shirou/gopsutil/v3/Makefile ===
.PHONY: help check
.DEFAULT_GOAL := help

SUBPKGS=cpu disk docker host internal load mem net process

help:  ## Show help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

check:  ## Check
	errcheck -ignore="Close|Run|Write" ./...
	golint ./... | egrep -v 'underscores|HttpOnly|should have comment|comment on exported|CamelCase|VM|UID' && exit 1 || exit 0

BUILD_FAIL_PATTERN=grep -v "exec format error" | grep "build failed" && exit 1 || exit 0
build_test:  ## test only buildable
	# Supported operating systems
	GOOS=linux GOARCH=amd64 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=riscv64 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=freebsd go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=freebsd GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=windows go test ./... | $(BUILD_FAIL_PATTERN)
	# Operating systems supported for building only (not implemented error if used)
	GOOS=solaris go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=dragonfly go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=netbsd go test ./... | $(BUILD_FAIL_PATTERN)
	# cross build to OpenBSD not worked since process has "C"
#	GOOS=openbsd go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=plan9 go test ./... | $(BUILD_FAIL_PATTERN)

ifeq ($(shell uname -s), Darwin)
	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
endif
	@echo 'Successfully built on all known operating systems'

vet:
	GOOS=darwin GOARCH=amd64 go vet ./...
	GOOS=darwin GOARCH=386 go vet ./...
	GOOS=darwin GOARCH=arm64 go vet ./...

	GOOS=dragonfly GOARCH=amd64 go vet ./...

	GOOS=freebsd GOARCH=amd64 go vet ./...
	GOOS=freebsd GOARCH=386 go vet ./...
	GOOS=freebsd GOARCH=arm go vet ./...

	GOOS=linux GOARCH=386 go vet ./...
	GOOS=linux GOARCH=amd64 go vet ./...
	GOOS=linux GOARCH=arm64 go vet ./...
	GOOS=linux GOARCH=arm go vet ./...
	GOOS=linux GOARCH=mips64 go vet ./...
	GOOS=linux GOARCH=mips64le go vet ./...
	GOOS=linux GOARCH=mips go vet ./...
	GOOS=linux GOARCH=mipsle go vet ./...
	GOOS=linux GOARCH=ppc64le go vet ./...
	GOOS=linux GOARCH=riscv64 go vet ./...
	GOOS=linux GOARCH=s390x go vet ./...

	GOOS=netbsd GOARCH=amd64 go vet ./...

	GOOS=openbsd GOARCH=386 go vet ./...
	GOOS=openbsd GOARCH=amd64 go vet ./...

	GOOS=solaris GOARCH=amd64 go vet ./...

	GOOS=windows GOARCH=amd64 go vet ./...
	GOOS=windows GOARCH=386 go vet ./...

	GOOS=plan9 GOARCH=amd64 go vet ./...
	GOOS=plan9 GOARCH=386 go vet ./...

macos_test:
	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)

init_tools:
	go get github.com/golang/dep/cmd/dep

TAG=$(shell date +'v3.%y.%-m' --date='last Month')

release:
	git tag $(TAG)
	git push origin $(TAG)

=== go.opentelemetry.io/contrib/samplers/jaegerremote/Makefile ===
PROTOC=docker run --rm -v${PWD}:${PWD} -w${PWD} otel/build-protobuf:latest --proto_path=${PWD}

PROTO_INCLUDES=-I/usr/include/github.com/gogo/protobuf

.PHONY: proto-gen
proto-gen:
	mkdir -p internal/proto-gen

	$(PROTOC) $(PROTO_INCLUDES) \
	    --gogo_out=$(PWD)/internal/proto-gen \
	    ${PWD}/jaeger-idl/proto/api_v2/sampling.proto

=== debian/changelog ===
gitaly (16.11.6+ds1-5) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * Cherry-pick upstream fixes for tablewriter API changes
  * Update required versions in Build-Depends and Depends

  [ Pirate Praveen ]
  * Drop golang-gitlab-gitlab-org-gitlab-shell-v14-dev dependency

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 20:27:22 +0000

gitaly (16.11.6+ds1-4) unstable; urgency=medium

  * Remove debian/links (not needed now) (Closes: #1101344)

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Apr 2025 02:38:58 +0530

gitaly (16.11.6+ds1-3) unstable; urgency=medium

  * Add golang-github-gogo-protobuf-dev to Build-Depends
  * Build only golang-gitlab-gitlab-org-gitaly-dev
    - gitaly and gitlab-common is replaced by gitaly-installer
    - ruby-gitaly is not used by gitlab anymore (installed
      from rubygems.org in postinst)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Mar 2025 16:34:47 +0530

gitaly (16.11.6+ds1-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 14.35~

 -- Pirate Praveen <praveen@debian.org>  Wed, 17 Jul 2024 12:49:12 +0530

gitaly (16.11.6+ds1-1) experimental; urgency=medium

  * New upstream version 16.11.6+ds1 (add go.opentelemetry.io/otel)
  * Update build depends

 -- Pirate Praveen <praveen@debian.org>  Sun, 14 Jul 2024 17:29:55 +0530

gitaly (16.11.3+ds15-1) experimental; urgency=medium

  * Update watch file pattern for gitlab.com
  * New upstream version 16.11.3+ds1
  * Refresh patches
  * Remove tools/govulncheck (build failing)
  * New upstream version 16.11.3+ds2 (update gocloud.dev in vendor to 0.37)
  * New upstream version 16.11.3+ds3 (update cloud.google.com/go to 0.112.2)
  * New upstream version 16.11.3+ds4 (update github.com/googleapis/gax-go to
    2.212.2)
  * New upstream version 16.11.3+ds5 (update aws-sdk-v2 to 2024-05-24)
  * New upstream version 16.11.3+ds6 (update google.golang.org/grpc to 1.62.2)
  * New upstream version 16.11.3+ds7 (update google.golang.org/api to 0.169.0)
  * New upstream version 16.11.3+ds8
  * New upstream version 16.11.3+ds9 (add github.com/google/s2a-go)
  * New upstream version 16.11.3+ds10 (drop testdata from s2a-go)
  * New upstream version 16.11.3+ds10 (reimport with upstream orig.tar)
  * New upstream version 16.11.3+ds11 (add golang.com/x/oauth2)
  * New upstream version 16.11.3+ds12 (update azblob to 1.3.1)
  * New upstream version 16.11.3+ds13 (update azcore to 1.10 azidentity 1.5.1)
  * New upstream version 16.11.3+ds14 (update azure sdk/internal to 1.5.2)
  * New upstream version 16.11.3+ds15 (update MSAL Go to 1.2.2)

 -- Pirate Praveen <praveen@debian.org>  Mon, 01 Jul 2024 21:03:54 +0530

=== debian/control ===
Source: gitaly
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
 Sruthi Chandran <srud@debian.org>
Build-Depends: debhelper (>= 11~),
 dh-golang (>= 1.43~),
# See #1016217 (gccgo and x/net don't work well together right now)
# golang-any (>= 2:1.17~),
 golang-go (>= 2:1.21~),
 golang-github-aws-aws-sdk-go-dev,
 golang-github-aws-smithy-go-dev (>= 1.19~),
 golang-github-azure-azure-pipeline-go-dev,
 golang-github-azure-azure-storage-blob-go-dev (>= 0.14~),
 golang-github-azure-go-autorest-dev (>= 14.2~),
 golang-github-beevik-ntp-dev,
 golang-github-beorn7-perks-dev,
 golang-github-burntsushi-toml-dev,
 golang-github-client9-reopen-dev,
 golang-github-cloudflare-tableflip-dev (>= 1.2~),
 golang-github-containerd-cgroups-dev,
 golang-github-davecgh-go-spew-dev,
 golang-github-dchest-safefile-dev,
 golang-github-felixge-httpsnoop-dev,
 golang-github-getsentry-sentry-go-dev,
 golang-github-gogo-protobuf-dev,
 golang-github-golang-jwt-jwt-dev,
 golang-github-go-logr-logr-dev,
 golang-github-go-logr-stdr-dev,
 golang-github-git-lfs-git-lfs-dev (>= 3.0~),
 golang-github-golang-protobuf-1-5-dev,
 golang-github-googleapis-enterprise-certificate-proxy-dev (>= 0.3~),
 golang-github-google-uuid-dev,
 golang-github-google-wire-dev,
 golang-github-go-enry-go-license-detector-dev (>= 4.3.0+git20221007~),
# golang-github-grpc-ecosystem-go-grpc-middleware-dev (>= 1.2.3~),
# golang-github-grpc-ecosystem-go-grpc-prometheus-dev (>= 1.2~),
 golang-github-hashicorp-golang-lru-dev,
 golang-github-hashicorp-yamux-dev (>= 0.0+git20210316.a95892c~),
 golang-github-jackc-pgconn-dev,
 golang-github-jackc-pgx-v4-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-github-lib-pq-dev (>= 1.3~),
 golang-github-miekg-dns-dev (>= 1.1.54~),
 golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
 golang-github-opencontainers-specs-dev,
 golang-github-opentracing-opentracing-go-dev,
 golang-github-oklog-ulid-dev (>= 2.0~),
 golang-github-pelletier-go-toml.v2-dev,
 golang-github-pmezard-go-difflib-dev,
# golang-github-prometheus-client-golang-dev,
# golang-github-prometheus-client-model-dev,
# golang-github-prometheus-common-dev,
 golang-github-rubenv-sql-migrate-dev (>= 0.0~git20191213.0633851-4),
 golang-github-sebest-xff-dev,
 golang-github-sirupsen-logrus-dev (>= 1.0~),
 golang-github-stretchr-testify-dev (>= 1.4~),
 golang-github-urfave-cli-v2-dev,
# golang-gitlab-gitlab-org-labkit-dev (>= 1.16~),
# golang-gocloud-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
 golang-golang-x-oauth2-google-dev (>= 0.0~git20211104.d3ed0bb),
 golang-golang-x-sync-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-golang-x-tools-dev,
 golang-golang-x-xerrors-dev,
# golang-google-grpc-dev (>= 1.38.0-3~),
 golang-google-protobuf-dev (>= 1.33~),
 golang-gopkg-gorp.v1-dev,
 golang-gopkg-yaml.v2-dev,
 golang-honnef-go-tools-dev,
 golang-procfs-dev,
# golang-protobuf-extensions-dev,
 golang-uber-goleak-dev,
 protobuf-compiler,
# Tests:
#  ,git
#  ,procps
# required for vendored gocloud.dev
 golang-github-aws-smithy-go-dev,
 golang-github-kylelemons-godebug-dev,
 golang-github-cli-browser-dev,
 gem2deb (>= 2.1~),
 ruby-grpc-tools (>= 1.42~),
 ruby-bundler
Standards-Version: 4.6.2
Homepage: https://gitlab.com/gitlab-org/gitaly
Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly/v16

Package: golang-gitlab-gitlab-org-gitaly-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-aws-aws-sdk-go-dev,
         golang-github-azure-azure-pipeline-go-dev,
         golang-github-azure-azure-storage-blob-go-dev (>= 0.14~),
         golang-github-azure-go-autorest-dev (>= 14.2~),
         golang-github-beevik-ntp-dev,
         golang-github-beorn7-perks-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-client9-reopen-dev,
         golang-github-cloudflare-tableflip-dev (>= 1.2~),
         golang-github-containerd-cgroups-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-dchest-safefile-dev,
         golang-github-felixge-httpsnoop-dev,
         golang-github-getsentry-sentry-go-dev,
         golang-github-go-logr-logr-dev,
         golang-github-go-logr-stdr-dev,
         golang-github-git-lfs-git-lfs-dev (>= 3.0~),
         golang-github-golang-protobuf-1-5-dev,
         golang-github-google-uuid-dev,
         golang-github-google-wire-dev,
         golang-github-go-enry-go-license-detector-dev (>= 4.3.0+git20221007~),
#         golang-github-grpc-ecosystem-go-grpc-middleware-dev (>= 1.2.3~),
#         golang-github-grpc-ecosystem-go-grpc-prometheus-dev (>= 1.2~),
         golang-github-hashicorp-golang-lru-dev,
         golang-github-hashicorp-yamux-dev (>= 0.0+git20210316.a95892c~),
         golang-github-jackc-pgconn-dev,
         golang-github-jackc-pgx-v4-dev,
         golang-github-kelseyhightower-envconfig-dev,
         golang-github-lib-pq-dev (>= 1.3~),
         golang-github-miekg-dns-dev (>= 1.1.54~),
         golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
         golang-github-opencontainers-specs-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-oklog-ulid-dev (>= 2.0~),
         golang-github-pelletier-go-toml.v2-dev,
         golang-github-pmezard-go-difflib-dev,
#         golang-github-prometheus-client-golang-dev,
#         golang-github-prometheus-client-model-dev,
#         golang-github-prometheus-common-dev,
         golang-github-rubenv-sql-migrate-dev (>= 0.0~git20191213.0633851-4),
         golang-github-sebest-xff-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0~),
         golang-github-stretchr-testify-dev (>= 1.8~),
#         golang-gitlab-gitlab-org-labkit-dev,
#         golang-gocloud-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev (>= 0.0~git20211104.d3ed0bb),
         golang-golang-x-oauth2-google-dev (>= 0.0~git20211104.d3ed0bb),
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-text-dev,
         golang-golang-x-time-dev,
         golang-golang-x-tools-dev,
         golang-golang-x-xerrors-dev,
#         golang-google-grpc-dev (>= 1.38.0-3~),
         golang-google-protobuf-dev (>= 1.33~),
         golang-gopkg-gorp.v1-dev,
         golang-gopkg-yaml.v2-dev,
         golang-honnef-go-tools-dev,
         golang-procfs-dev,
#         golang-protobuf-extensions-dev,
         golang-uber-goleak-dev,
Description: Gitaly golang module
 Gitaly makes the git data storage tier of large GitLab instances fast.
 .
 This is achieved by moving git operations as close to the data as possible and
 Optimizing git services using caching.
 .
 Gitaly is a core service of gitlab.
 .
 This package provides golang module of gitaly.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_GOLANG_GO_GENERATE := 1
#export DH_GOLANG_INSTALL_ALL := 1  # test data
#export DH_GOLANG_INSTALL_EXTRA := vendor
export DH_RUBY = --gem-install
export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
export GEM2DEB_TEST_RUNNER = --check-dependencies
export RAILS_ENV = development # for bundle install --local test
export GITALY_EXECUTABLES = $(addprefix gitlab.com/gitlab-org/gitaly/v16/cmd/,$(notdir $(shell find ${CURDIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
# All executables packed inside the Gitaly binary.
export GITALY_PACKED_EXECUTABLES = $(filter %gitaly-hooks %gitaly-git2go %gitaly-ssh %gitaly-lfs-smudge, ${GITALY_EXECUTABLES})

include /usr/share/dpkg/pkg-info.mk
## Set some build variables as per Makefile:
VERSION  ?= $(shell sh -c 'printf "$${1%%+ds*}"' -- "$(DEB_VERSION_UPSTREAM)")
PKG := gitlab.com/gitlab-org/gitaly/v16
MODULE_VERSION := v16
GO_LDFLAGS ?= -X $(PKG)/internal/version.version=$(VERSION) -X $(PKG)/internal/version.moduleVersion=$(MODULE_VERSION)
GO_BUILD_TAGS ?= static,system_libgit2

%:
	dh $@  --buildsystem=golang --with=golang --package=golang-gitlab-gitlab-org-gitaly-dev \
	--builddirectory=_build

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build -- \
	   -ldflags "$(GO_LDFLAGS)" -tags "$(GO_BUILD_TAGS)" \
           $(GITALY_PACKED_EXECUTABLES)
	mkdir -p _build/src/${PKG}/_build/ && cp -a _build/bin _build/src/${PKG}/_build/
	dh_auto_build -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--builddirectory=_build -- \
	   -ldflags "$(GO_LDFLAGS)" -tags "$(GO_BUILD_TAGS)" \
           gitlab.com/gitlab-org/gitaly/${MODULE_VERSION}/cmd/gitaly
	rm -rf _build/src/${PKG}/_build/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	# Test hangs, so don't even run it
	#-dh_auto_test -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	#-O--builddirectory=_build
endif

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
	-O--no-binaries --builddirectory=_build --destdir=debian/golang-gitlab-gitlab-org-gitaly-dev
	$(RM) -rv debian/golang-gitlab-gitlab-org-gitaly-dev/usr/bin
	# Remove testdata, contains files that triggers more lintian errors
	for f in `find debian/ -name testdata`; do \
		$(RM) -rv $$f; \
	done

=== debian/watch ===
version=4

# uscan: repacksuffix is not compatible with the multiple upstream tarballs; use oversionmangle.

opts="searchmode=plain" \
 https://gitlab.com/gitlab-org/gitaly/tags?sort=updated_desc -/archive/v?\d[\d.]+/gitaly-v@ANY_VERSION@@ARCHIVE_EXT@
